RDKit: RDKit::PDBMolSupplier Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
RDKit::PDBMolSupplier Class Reference

lazy file parser for PDB files More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::PDBMolSupplier:

## Public Member Functions
| PDBMolSupplier (std::istream *inStream, bool takeOwnership=true, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
| PDBMolSupplier (const std::string &fname, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
virtual | ~PDBMolSupplier ()
virtual void | init ()
virtual void | reset ()
virtual ROMol * | next ()
virtual bool | atEnd ()
Public Member Functions inherited from RDKit::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()

## Protected Attributes
bool | df_sanitize
bool | df_removeHs
unsigned int | d_flavor
Protected Attributes inherited from RDKit::MolSupplier
std::istream * | dp_inStream
bool | df_owner

## Detailed Description

lazy file parser for PDB files

Definition at line 330 of file MolSupplier.h.

## Constructor & Destructor Documentation

RDKit::PDBMolSupplier::PDBMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = `true`,
|  | bool | sanitize = `true`,
|  | bool | removeHs = `true`,
|  | unsigned int | flavor = `0`
| ) |  |
| explicit

RDKit::PDBMolSupplier::PDBMolSupplier | ( | const std::string & | fname,
|  | bool | sanitize = `true`,
|  | bool | removeHs = `true`,
|  | unsigned int | flavor = `0`
| ) |  |
| explicit

virtual RDKit::PDBMolSupplier::~PDBMolSupplier | ( |  | ) |
| inlinevirtual

Definition at line 338 of file MolSupplier.h.

References RDKit::MolSupplier::atEnd(), RDKit::MolSupplier::df_owner, RDKit::MolSupplier::dp_inStream, RDKit::MolSupplier::init(), RDKit::MolSupplier::next(), and RDKit::MolSupplier::reset().

## Member Function Documentation

virtual bool RDKit::PDBMolSupplier::atEnd | ( |  | ) |
| virtual

Implements RDKit::MolSupplier.

virtual void RDKit::PDBMolSupplier::init | ( |  | ) |
| virtual

Implements RDKit::MolSupplier.

virtual ROMol* RDKit::PDBMolSupplier::next | ( |  | ) |
| virtual

Implements RDKit::MolSupplier.

virtual void RDKit::PDBMolSupplier::reset | ( |  | ) |
| virtual

Implements RDKit::MolSupplier.

## Member Data Documentation

unsigned int RDKit::PDBMolSupplier::d_flavor
| protected

Definition at line 349 of file MolSupplier.h.

bool RDKit::PDBMolSupplier::df_removeHs
| protected

Definition at line 348 of file MolSupplier.h.

bool RDKit::PDBMolSupplier::df_sanitize
| protected

Definition at line 348 of file MolSupplier.h.

The documentation for this class was generated from the following file:

- MolSupplier.h